summaryrefslogtreecommitdiffstats
path: root/app-dicts/slowo
diff options
context:
space:
mode:
Diffstat (limited to 'app-dicts/slowo')
-rw-r--r--app-dicts/slowo/Manifest2
-rw-r--r--app-dicts/slowo/slowo-1.0.ebuild59
2 files changed, 61 insertions, 0 deletions
diff --git a/app-dicts/slowo/Manifest b/app-dicts/slowo/Manifest
new file mode 100644
index 0000000..7fe5853
--- /dev/null
+++ b/app-dicts/slowo/Manifest
@@ -0,0 +1,2 @@
+DIST slowo.tar.bz2 6963984 RMD160 5c45073e6891df34e74a7d84f5e3d051c3ae2b7e SHA1 bb53ebce3fe4bf5baa72bbd8e7540178c9fc9182 SHA256 2401836206023b10e8b2c6c5471dbea48aeeeb84ef06618baa6927f64fce2bde
+EBUILD slowo-1.0.ebuild 1224 RMD160 d2020590df4d5c0cfde8630174aa87e7b66b9926 SHA1 9984575376ed45abfb9bcea751a990139ad8b5e8 SHA256 9d09e341dd9901684eddc08fa84e84d059e6aebed3b674f799a49e0d1121cb58
diff --git a/app-dicts/slowo/slowo-1.0.ebuild b/app-dicts/slowo/slowo-1.0.ebuild
new file mode 100644
index 0000000..a73e1a4
--- /dev/null
+++ b/app-dicts/slowo/slowo-1.0.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2004 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit eutils
+
+DESCRIPTION="Slowo Dictionary"
+SRC_URI="http://dside.dyndns.org/files/darklin/slowo.tar.bz2"
+SLOT="0"
+
+KEYWORDS="x86 amd64"
+LICENSE="GPL-2"
+IUSE="X"
+
+FONT_ROOT=/usr/share/fonts/DarkLin
+
+DEPEND="sys-libs/ncurses
+ X? ( x11-base/xorg-x11 )"
+
+src_compile() {
+ cd ${WORKDIR}
+
+ cd slowo || die
+ make
+# cd ../sortbase || die
+# make
+
+ if use X ; then
+ cd ../xslowo
+ make
+# cd ../qtslowo
+# make
+ fi
+}
+
+src_install() {
+ cd ${WORKDIR}
+
+ mkdir -p ${D}/usr/bin
+ mkdir -p ${D}/${FONT_ROOT}
+
+ install -c -m 755 slowo/slowo ${D}/usr/bin/slowo
+# install -c -m 755 sortbase/slowosort ${D}/usr/bin/slowosort
+ cp -rf dwa ${D}/usr/share
+
+ if use X ; then
+ install -c -m 755 xslowo/slowo ${D}/usr/bin/xslowo
+# install -c -m 755 qtslowo/slowo ${D}/usr/bin/qtslowo
+ fi
+
+ cp -rf IPAFonts ${D}/${FONT_ROOT}
+}
+
+pkg_postinst() {
+ einfo "In order to make X see the fonts, you need to add the"
+ einfo "following lines to the files section of your "
+ einfo "/etc/X11/XF86Config (or the XOrg equivalent):"
+ einfo " FontPath \"${FONT_ROOT}/DarkLin/IPAFonts:unscaled\""
+}